from secrets import token_urlsafe
import json


def reset_groups():
    with open("groups_backup.json", "w") as f:
        groups = {str(i): {"name": f"Group {i}", "clients": [i]} for i in range(1, 16)}
        json.dump(groups, f)


def reset_users():
    with open("users_backup.json", "w") as f:
        users = {"0": {"name": "admin", "email": "", "secret": token_urlsafe(16)}}
        json.dump(users, f)


def reset_audio_files():
    with open("audio_files_backup.json", "w") as f:
        audio_files = {}
        json.dump(audio_files, f)


def main():
    reset_groups()
    reset_users()
    reset_audio_files()


if __name__ == '__main__':
    main()
    
    
