// Endpoint to obtain the configuration values from UCI in JSON format
const LOCAL_AUDIO_FILES_ENDPOINT = "/audio_files";
 
/**
 * Obtain a sources config using ajax. NOTE: this method is synchronous.
 */
function getListOfAudioFiles() {
    let audioFilesReceived = {};
    $.ajax({
        async: false,
        type: "GET",
        url: LOCAL_AUDIO_FILES_ENDPOINT,
        success: function (result, status, xhr) {
            audioFilesReceived = result;
        },
        error: function (xhr, status, error) {
            handleHTTPFailResponseAudio('It was not possible to get the existing local audio files.', status, error);
        }
    });
    return audioFilesReceived;
}


function addAudioFileRequest(audioFileBtnName, uploadFileName){
    $.ajax({
    type: "POST",
    url: LOCAL_AUDIO_FILES_ENDPOINT,
    data: JSON.stringify({"btn_name":  audioFileBtnName, "file_name": uploadFileName}),
    success: function(result, status, xhr){
        let msg = "";
        if (audioFileBtnName === ""){
            msg = 'Configuration of audio file \"'+ result["id"] +'\" saved successfully';
        } else {
            msg = 'Configuration of audio file \"'+ audioFileBtnName +'\" saved successfully';
        }
        handleHTTPSuccessResponseAudio(msg);
    },
    error: function (xhr, status, error) {
        handleHTTPFailResponseAudio('It was not possible to save the audio file configuration.', status, error);
    }
    });
}

function editAudioFileRequest(audioFileID, audioFileBtnName, fileName){
    $.ajax({
        type: "UPDATE",
        url: LOCAL_AUDIO_FILES_ENDPOINT,
        data: JSON.stringify({"btn_id": audioFileID, "btn_name":  audioFileBtnName, "file_name": fileName}),
        success: function(result, status, xhr){
            let msg = "";
            if (audioFileBtnName === ""){
                msg = 'Configuration of audio file \"'+ audioFileID +'\" saved successfully';
            } else {
                msg = 'Configuration of audio file \"'+ audioFileBtnName +'\" saved successfully';
            }
            handleHTTPSuccessResponseAudio(msg);
        },
        error: function (xhr, status, error) {
            handleHTTPFailResponseAudio('It was not possible to save the audio file configuration.', status, error)
            // notify.notify({message:'It was not possible to save the audio file configuration.', level:'danger'});
        }
    });
}

function removeAudioFileRequest(audioFileID, audioFileBtnName){
    $.ajax({
        type: "DELETE",
        url: LOCAL_AUDIO_FILES_ENDPOINT,
        data: JSON.stringify({ "btn_id": parseInt(audioFileID)}),
        success: function(result, status, xhr){
            let msg = 'Audio File \"'+ audioFileBtnName +'\" deleted successfully';
            handleHTTPSuccessResponseAudio(msg);
        },
        error: function (xhr, status, error) {
            handleHTTPFailResponseAudio('It was not possible to delete audio file \"' + audioFileBtnName + '\".', status, error)
            // notify.notify({message:'It was not possible to delete audio file \"' + audioFileName + '\".', level:'danger'});
        }
    });
}

