class VuMeterWorklet extends AudioWorkletProcessor {

    static get parameterDescriptors() {
        return [{
            name: 'canvas'
        },{
            name: 'analyser'
        }]
    }

    constructor(options) {
        super(options);

    }

    process (inputs, outputs, parameters) {
        const analyser = parameters.analyser;
        const canvasContext = parameters.canvas;
        var array = new Uint8Array(analyser.frequencyBinCount);
        analyser.getByteFrequencyData(array);
        var values = 0;

        var length = array.length;
        for (var i = 0; i < length; i++) {
            values += (array[i]);
        }

        var average = values / length;

//          console.log(Math.round(average - 40));

        canvasContext.clearRect(0, 0, 80, 210);
        canvasContext.fillStyle = '#BadA55';
        canvasContext.fillRect(0, 210 - average, 80, 210);
        canvasContext.fillStyle = '#262626';
        canvasContext.font = "48px impact";
        canvasContext.fillText(Math.round(average - 40), -2, 210);
    }
}

registerProcessor('vu-meter-worklet', VuMeterWorklet)
